create table MASTER_TBL (
    A integer not null, 
    B char(1) not null check(B in ('Y','N')), 
    constraint MASTER_TBL_PK primary key (A)
);

create table SLAVE_TBL (
    C integer not null,
    D varchar(10),
    constraint SLAVE_TBL_PK primary key (C)
); 

alter table SLAVE_TBL
    add constraint SLAVE_TBL_FK1 foreign key  (C)
       references MASTER_TBL (A);

create unique index UK_SLAVE_TBL on SLAVE_TBL(D);

selec from SLAVE_TBL;

select * from SLAVE_TB;

select W from SLAVE_TBL;

insert into MASTER_TBL(A,B) values ('W222','W333');

insert into MASTER_TBL(A) values ('222');
insert into MASTER_TBL(A,B) values (NULL,'Y');

insert into MASTER_TBL(A,B) values (0,'Y');
insert into MASTER_TBL(A,B) values (1,'R');
insert into SLAVE_TBL(C,D) values (0,'TOO LOOOOONG STRIIIIING');


insert into MASTER_TBL(A,B) values (1,'Y');
insert into MASTER_TBL(A,B) values (1,'Y');

insert into SLAVE_TBL(C,D) values (1,'DOUBLE');
insert into SLAVE_TBL(C,D) values (0,'DOUBLE');

insert into SLAVE_TBL(C,D) values (2,'TEST2');
update SLAVE_TBL set C=2 where C=1;

delete from MASTER_TBL where A=1;
update MASTER_TBL set A=3 where A=1;

drop table SLAVE_TBL;
drop table MASTER_TBL;


